Bug 627073 - VESA driver does not work with X700 Pro (1002:5e4b)
VESA driver does not work with X700 Pro (1002:5e4b)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-vesa (Show other bugs)
14
All Linux
low Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-24 21:34 EDT by Tom Horsley
Modified: 2012-01-03 14:30 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-03 14:30:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
X.log from install attempt (120.90 KB, text/plain)
2010-08-26 17:43 EDT, Tom Horsley
no flags Details
anaconda.log (2.43 KB, text/plain)
2010-08-26 17:43 EDT, Tom Horsley
no flags Details
libuser.N8EtI0 (235 bytes, text/plain)
2010-08-26 17:44 EDT, Tom Horsley
no flags Details
program.log (528 bytes, text/plain)
2010-08-26 17:45 EDT, Tom Horsley
no flags Details
storage.log (2.32 KB, text/plain)
2010-08-26 17:45 EDT, Tom Horsley
no flags Details
syslog (84.02 KB, text/plain)
2010-08-26 17:45 EDT, Tom Horsley
no flags Details
X log from xdriver=vesa resolution=1024x768 (120.41 KB, text/plain)
2010-09-10 12:37 EDT, Tom Horsley
no flags Details

  None (edit)
Description Tom Horsley 2010-08-24 21:34:15 EDT
Description of problem:

If I use the default install options for fedora 14 alpha (installing from DVD),
I seem to run into the common bug 596985. If I follow the recommendation in the
release notes to use the basic video driver, anaconda tells me it can't
start X and wants to use text mode (or VNC).


Version-Release number of selected component (if applicable):

Whatever is on the fedora 14 alpha x86_64 DVD.

How reproducible:

every install attempt so far.

Steps to Reproduce:
1.boot dvd
2.pick basic video
3.watch it say it can't start X
  
Actual results:
can't start X

Expected results:
GUI installer


Additional info:

video card is:

01:00.0 VGA compatible controller: ATI Technologies Inc RV410 [Radeon X700 Pro (PCIE)]

This card actually works quite well in fedora 13, unfortunately fedora 14
seems to have gone backward.

I also see what appears to be a kernel crash walkback early in the boot from
DVD, but it flashes past too fast to see any details.
Comment 1 Tom Horsley 2010-08-26 17:43:10 EDT
Created attachment 441335 [details]
X.log from install attempt

I tried the install one more time and was able to capture the log files
from /tmp on a pen drive, so I'm attaching them here. Looks like the vesa
driver tried a screen resolution which barfed on it.
Comment 2 Tom Horsley 2010-08-26 17:43:41 EDT
Created attachment 441336 [details]
anaconda.log
Comment 3 Tom Horsley 2010-08-26 17:44:37 EDT
Created attachment 441337 [details]
libuser.N8EtI0
Comment 4 Tom Horsley 2010-08-26 17:45:03 EDT
Created attachment 441338 [details]
program.log
Comment 5 Tom Horsley 2010-08-26 17:45:30 EDT
Created attachment 441339 [details]
storage.log
Comment 6 Tom Horsley 2010-08-26 17:45:57 EDT
Created attachment 441340 [details]
syslog
Comment 7 Adam Williamson 2010-09-10 04:12:18 EDT
Can you get the Beta TC1 and see how this behaves now? http://serverbeach1.fedoraproject.org/pub/alt/stage/14-Beta.TC1/



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 8 Tom Horsley 2010-09-10 12:34:43 EDT
I just tried booting the Beta TC1, and the ATI driver does indeed seem to
work fine, but if I try to use the vesa driver it still fails, even if
I add something like resolution=1024x768 to the anaconda boot options.
Probably not that important since I don't need to use vesa anymore, but
still strange.
Comment 9 Tom Horsley 2010-09-10 12:37:20 EDT
Created attachment 446551 [details]
X log from xdriver=vesa resolution=1024x768

Here's the X log from the failed attempt to boot with vesa driver
in the Beta TC1 x86_64 DVD iso.
Comment 10 Adam Williamson 2010-09-10 13:02:57 EDT

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 11 Andre Robatino 2010-09-12 19:32:28 EDT
(In reply to comment #1)
> Created attachment 441335 [details]
> X.log from install attempt
> 
> I tried the install one more time and was able to capture the log files
> from /tmp on a pen drive, so I'm attaching them here. Looks like the vesa
> driver tried a screen resolution which barfed on it.

What did you use as a mount point for the pen drive? I tried mounting mine on /mnt (which was already populated), which didn't work (some commands were unrecognized after the mount). I don't want to actually reinstall on this box so it needs to be nondestructive to the existing installation.
Comment 12 Andre Robatino 2010-09-12 19:59:39 EDT
Never mind, I made a subdirectory in the same directory where the log files were located, copied the files, and my existing install seems unaffected.
Comment 13 Adam Williamson 2010-09-15 12:35:23 EDT
propose for F14 Beta NTH list (new system for tracking bugs that aren't blockers but for which we'll accept fixes through the freeze)
Comment 14 Adam Williamson 2010-09-27 21:42:44 EDT

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 15 Tom Horsley 2010-09-29 18:18:52 EDT
Just tried the release F14 beta x86_64, same vesa driver failure.
Comment 16 Adam Williamson 2010-10-01 17:29:37 EDT
This was discussed at the 2010-10-01 blocker / NTH review meeting, and accepted as a nice-to-have.
Comment 17 Joachim Frieben 2010-10-21 15:41:43 EDT
Basic video driver works well now on "ATI Radeon X800 SE (R430) (PCIE)" (ChipID = 0x554e) connected to a 21" CRT HP A4576A. Until recently, no valid modes were found.
Comment 18 Adam Williamson 2010-11-01 19:00:32 EDT
Removing F14 NTH status as F14 is now out.

Remaining open nice-to-have issues do NOT automatically become nice-to-have issues for Fedora 15. If you believe a Fedora 14 issue which was accepted as
nice-to-have but not resolved in time for release should also qualify for
nice-to-have status for Fedora 15, please re-propose it as nice-to-have for
Fedora 15.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 19 Adam Williamson 2010-11-01 19:00:45 EDT

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 20 Adam Jackson 2012-01-03 14:30:06 EST
F14 is EOL.  If this is still reproducible in F15 or later _and_ the KMS driver still does not work for your chip, please file a new bug with the details.

Note You need to log in before you can comment on or make changes to this bug.